# $Revision: 1.8 $, $Date: 2002/07/20 22:38:39 $
Summary:	Rsync libraries
Summary(pl):	Biblioteki rsync
Name:		librsync
Version:	0.9.5.1
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://ftp1.sourceforge.net/rproxy/%{name}-%{version}.tar.gz
URL:		http://www.sf.net/projects/rproxy/
Patch0:		%{name}-am.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
librsync implements the "rsync" algorithm, which allows remote
differencing of binary files. librsync computes a delta relative to a
file's checksum, so the two files need not both be present to generate
a delta.

This library was previously known as libhsync up to version 0.9.0.

The current version of this package does not implement the rsync
network protocol and uses a delta format slightly more efficient than
and incompatible with rsync 2.4.6.

%description -l pl
librsync jest implementacj algorytmu rsync, pozwalajcego na zdalne
porwnywanie plikw binarnych. librsync liczy rnice sum kontrolnych
plikw, wic nie wymaga obecnoci obu plikw do sprawdzenia rnic.

Ta biblioteka bya wczeniej znana jako libhsync, do wersji 0.9.0
wcznie.

Ta wersja nie ma implementacji sieciowego protokou rsync i uywa
formatu delt nieco wydajniejszego i niekompatybilnego z rsyncem w
wersji 2.4.6.

%package devel
Summary:	Headers for librsync
Summary(pl):	Pliki nagwkowe librsync
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
This package contains header files necessary for developing programs
based on librsync.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do budowania programw
uywajacych librsync.

%package static
Summary:	Static librsync library
Summary(pl):	Statyczna biblioteka librsync
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static librsync library.

%description static -l pl
Statyczna biblioteka librsync.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__gettextize}
aclocal
%{__autoconf}
%{__automake}
%configure \
	--enable-shared

%{__make} CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	 DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/rdiff
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man1/rdiff.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: librsync.spec,v $
Revision 1.8  2002/07/20 22:38:39  marcus
- now builds with ac2.53/am1.6
- rel.2.

Revision 1.7  2002/07/13 22:44:57  areq
- 0.9.5.1, STBR
- source from http://rdiff-backup.stanford.edu/librsync-0.9.5.1.tar.gz
  ( Unfortunately the current official version of librsync leaks a lot
    of memory)

Revision 1.6  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.5  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.4  2002/05/21 23:13:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/05/17 12:18:59  qboosh
- remaining pl translations; release 2

Revision 1.2  2002/05/15 16:11:51  kloczek
- enable building shared library,
- added static subpackage.
- some small improvments and cosmetcs.

Revision 1.1  2002/05/15 11:13:27  areq
- Init PLD spec
